Subject: Re: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Nov 2018 07:56:51 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Van L <[email-masked]>,  [email-masked]
> Date: Tue, 27 Nov 2018 01:27:40 +0200
> 
> > So your problem is with the names of the faces?  Then may I suggest to
> > name the new faces hi-red and hi-deepblue?
> 
> Maybe something like this, but I'm not sure because the red background would
> be too glaring on 88 colors, but more readable orchid1 is not quite red.

Is OrangeRed better?

> Also blue would be too dark for a light background, but more readable
> DarkSlateGray1 is not quite blue as its name suggests.

That's okay, I think.

>  (defface hi-green-b
> -  '((((min-colors 88)) (:weight bold :foreground "green1"))
> +  '((((min-colors 88)) (:weight bold :foreground "green3"))
>      (t (:weight bold :foreground "green")))
>    "Face for hi-lock mode."
>    :group 'hi-lock-faces)
>  
>  (defface hi-red-b
> -  '((((min-colors 88)) (:weight bold :foreground "red1"))
> +  '((((min-colors 88)) (:weight bold :foreground "firebrick2"))
>      (t (:weight bold :foreground "red")))
>    "Face for hi-lock mode."
>    :group 'hi-lock-faces)

So why are you still changing the existing faces?  Not that I see any
problem with these changes on low-color TTYs, but still: why change?